var _ = require('underscore');
var gulp = require('gulp');
var packer = require('gulp-packer');
var streamify = require('gulp-streamify');
var Elixir = require('laravel-elixir');
var Task = Elixir.Task;

Elixir.extend('packer', function(src, dest, options) {
    options = _.extend({
        base62Encode: true,
        shrinkVariables: true,
    }, options);

    new Task('packer', function() {
        return gulp
            .src(src)
            .pipe(streamify(packer({
                base62: options.base62Encode,
                shrink: options.shrinkVariables
            })))
            .pipe(gulp.dest(dest));
    });
});
